Page MenuHomeFreeBSD

www/nghttp2: Update to 1.19.0
AbandonedPublic

Authored by brnrd on Jan 25 2017, 5:49 PM.
Tags
None
Referenced Files
F88925313: D9334.diff
Sat, Jul 20, 9:57 PM
Unknown Object (File)
Wed, Jul 17, 4:48 AM
Unknown Object (File)
Mon, Jul 15, 3:58 AM
Unknown Object (File)
Wed, Jun 26, 9:25 AM
Unknown Object (File)
Wed, Jun 26, 8:51 AM
Unknown Object (File)
Jun 12 2024, 1:17 PM
Unknown Object (File)
Jun 12 2024, 1:14 PM
Unknown Object (File)
May 22 2024, 7:59 PM
Subscribers

Details

Summary
www/nghttp2: Update to 1.19.0

  - Update to version 1.19.0
  - Add patch to allow 1.19.0 to build with LibreSSL

Submitted by:	brnrd

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 7009
Build 7189: arc lint + arc unit

Event Timeline

brnrd retitled this revision from to www/nghttp2: Update to 1.19.0.
brnrd updated this object.
brnrd edited the test plan for this revision. (Show Details)
brnrd added a reviewer: sunpoet.

Patch has been merged upstream https://github.com/nghttp2/nghttp2/commit/16be89f9ccba4d37e34ef03f20009a9845efeb99

Upstream also adds a warning if users use PSK whilst it is not available https://github.com/nghttp2/nghttp2/commit/1cc08c0a51d273afc0e7b4e11eeb0b889d154ee0

Will merge both patches and update review. OpenSSL took priority earlier today.

LGTM. I've committed the patch (both 16be89f and 1cc08c0). Thanks!

Is already committed to ports